GET api/departmentItemapi/departmentItem/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
DepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_code | string |
None. |
|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| department_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "1b8328b2-a195-4a2e-8178-ce36f16c23dc",
"selected_nameplate_id": "2292e8c9-258f-466b-a2ee-d9a616778b77",
"active": true,
"department_id": "b6ca8e9c-fdf0-4657-acfb-c31bafae672a",
"id": "a5565b59-9160-429a-9507-a640efaafe86",
"physical_item_id": "51b5e3ee-06ac-498b-baf8-925122e0daaa",
"service_item_id": "594c5203-dae7-4187-96fc-3d3b8d0209fe",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<department_id>b6ca8e9c-fdf0-4657-acfb-c31bafae672a</department_id>
<id>a5565b59-9160-429a-9507-a640efaafe86</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>51b5e3ee-06ac-498b-baf8-925122e0daaa</physical_item_id>
<quantity>1</quantity>
<service_item_id>594c5203-dae7-4187-96fc-3d3b8d0209fe</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>2292e8c9-258f-466b-a2ee-d9a616778b77</selected_nameplate_id>
<selected_sticker_id>1b8328b2-a195-4a2e-8178-ce36f16c23dc</selected_sticker_id>
</department_item>